Subject: Re: [ANNOUNCEMENT] New package: guile-1.5.6-3
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2002 15:48:38 -0400
Newsgroups: gmane.os.cygwin

There is a patch pending to binutils that would allow this to work 
as-is.  It seems to work okay, however, we're still waiting on Egor's 
legal paperwork -- an unfortunately, the only discussion has been 
between Egor and I; no other binutils-list readers have commented.

I'd really rather not see a return of declspec()...

Perhaps temporarily, we could use a workaround in both guile and 
guile-client code:

in guile, new functions (with the obvious implementations):

#ifdef __CYGWIN__
SCM get_scm_sys_protects(int index);
void set_scm_sys_protects(SCM s, int index);
#endif

and in client code, replace assignments and reads with the appropriate 
function call, guarded by #ifdef __CYGWIN__ ?

It's even possible that the guile folks would accept this sort of 
change, as an extension to their API (rather than actually *replacing* 
direct access to the array, which works just fine on all other platforms).

Then, it would be up to client programs to choose direct access or 
get/set...

--Chuck

Steven O'Brien wrote:

> Hi
> 
> I have a problem with guile-devel.
> libguile/root.h exports:
> extern SCM scm_sys_protects[];
> 
> and #define's each array element as a macro
> 
> When trying to compile gnumeric-1.0.8, the build fails with the message:
> "variable 'scm_sys_protects' can't be auto-imported."
> 
> This is expected, as you cannot auto-import arrays. However, I cannot
> find any way of explicitly importing it without breaking the #define'd
> elements. Does anyone know how to do this? Or is this a case where the
> old-fashioned __declspec(dllimport) decoration is required?
> 
> Thanks for any reply,
> Steven
> 
> 
> On Wed, 10 Jul 2002 01:15:28 +0200
> Jan Nieuwenhuizen <[email-masked]> wrote:
> 
> 
>>Guile, the GNU extension language and Scheme interpreter and
>>libraries, have been included in the Cygwin distribution.
>>
>>Guile, the GNU Ubiquitous Intelligent Language for Extension, is a
>>scheme implementation designed for real world programming, supporting
>>a rich Unix interface, a module system, and undergoing rapid
>>development.  `guile' is a scheme interpreter that can execute scheme
>>scripts (with a #! line at the top of the file), or run as an inferior
>>scheme process inside Emacs.
>>
>>Guile has been packaged in four parts: guile, guile-doc, guile-devel
>>and libguile14.
>>
>>For a brief description of what these packages are and what they
>>contain, see http://cygwin.com/packages/ .
>>
>>NOTE: This is the first Guile release as a Cygwin package; the first
>>version of Guile for Cygwin that uses and provides shared object
>>libraries (DLLs), and the first Cygwin package that links to libtool
>>(libltdl).  As such, you may experience bugs never seen before.
>>
>>Please send questions or comments on Guile to the Cygwin mailing list
>>at: [email-masked].  [However, if you're having problems related to
>>LilyPond, please write to [email-masked].]
>>
>>Greetings,
>>Jan.
>>
>>
>>INSTALLATION:
>>
>>To update your installation, click on the "Install Cygwin now" link
>>on the http://cygwin.com/ web page. This downloads setup.exe to
>>your system. Save it and run setup, answer the questions and pick
>>up 'guile' from the 'Interpreters' category.
>>
>>Note that downloads from sources.redhat.com (aka cygwin.com) aren't
>>allowed due to bandwidth limitations. This means that you will need
>>to find a mirror which has this update.
>>
>>In the US, ftp://mirrors.rcn.net/mirrors/sources.redhat.com/cygwin/
>>is a reliable high bandwidth connection, and already up to date.
>>
>>In Japan, use ftp://ftp.u-aizu.ac.jp/pub/gnu/gnu-win32/ .
>>
>>In Denmark, http://mirrors.sunsite.dk/cygwin/ is already up-to-date.
>>
>>If one of the above doesn't have the latest version of this package
>>you can either wait for the site to be updated or find another
>>mirror.
>>
>>Please send questions or comments to the Cygwin mailing list at:
>>[email-masked].  If you want to subscribe go to:
>>http://cygwin.com/lists.html.  I would appreciate if you would use
>>this mailing list rather than emailing me directly.  This includes
>>ideas and comments about the setup utility or Cygwin in general.
>>
>>If you want to make a point or ask a question the Cygwin mailing
>>list is the appropriate place.
>>
>>*** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***
>>
>>To unsubscribe to the cygwin-announce mailing list, look at the
>>"List-Unsubscribe: " tag in the email header of this message. Send
>>email to the address specified there.  It will be in the format:
>>
>>cygwin-announce-unsubscribe-YOU=[email-masked]
>>
>>-- 
>>Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music
>>typesetter http://www.xs4all.nl/~jantien       |
>>http://www.lilypond.org
>>
>>
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/